import { AwsCustomResource } from "aws-cdk-lib/custom-resources";
import { Construct } from "constructs";
import { Duration } from "aws-cdk-lib";
/**
 * Properties for Invalidation.
 */
export interface InvalidationProps {
    readonly distributionId: string;
    readonly paths: string[];
    readonly callerReference?: string;
    readonly timeout?: Duration;
}
/**
 * Creates a CloudFront invalidation.
 */
export declare class Invalidation extends AwsCustomResource {
    constructor(scope: Construct, id: string, props: InvalidationProps);
}
